Token.KeyBound (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.dht

## Class Token.KeyBound

- java.lang.Object
- - org.apache.cassandra.dht.Token.KeyBound

- All Implemented Interfaces:
    java.lang.Comparable<RowPosition>, RowPosition, RingPosition<RowPosition>
  Enclosing class:
    Token

      public static class Token.KeyBound
      extends java.lang.Object
      implements RowPosition

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.RowPosition

      `RowPosition.ForKey, RowPosition.Kind, RowPosition.RowPositionSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isMinimumBound`

    - ### Fields inherited from interface org.apache.cassandra.db.RowPosition

      `serializer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RowPosition pos)`
    `boolean` | `equals(java.lang.Object obj)`
    `IPartitioner` | `getPartitioner()`
    `Token` | `getToken()`
    `int` | `hashCode()`
    `boolean` | `isMinimum()`
    `RowPosition.Kind` | `kind()`
    `Token.KeyBound` | `minValue()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### isMinimumBound

          public final boolean isMinimumBound

  - ### Method Detail

    - #### getToken

          public Token getToken()

      Specified by:
        `getToken` in interface `RingPosition<RowPosition>`

    - #### compareTo

          public int compareTo(RowPosition pos)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RowPosition>`

    - #### getPartitioner

          public IPartitioner getPartitioner()

      Specified by:
        `getPartitioner` in interface `RingPosition<RowPosition>`

    - #### minValue

          public Token.KeyBound minValue()

      Specified by:
        `minValue` in interface `RingPosition<RowPosition>`

    - #### isMinimum

          public boolean isMinimum()

      Specified by:
        `isMinimum` in interface `RowPosition`
      Specified by:
        `isMinimum` in interface `RingPosition<RowPosition>`

    - #### kind

          public RowPosition.Kind kind()

      Specified by:
        `kind` in interface `RowPosition`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation